Bug 134052 - Update port: games/mangband to latest version
Summary: Update port: games/mangband to latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-27 22:10 UTC by flambard
Modified: 2009-09-17 16:40 UTC (History)
0 users

See Also:


Attachments
file.shar (4.14 KB, text/plain)
2009-04-27 22:10 UTC, flambard
no flags Details
mangband-1.1.2-DIFF (10.63 KB, text/plain)
2009-06-16 22:08 UTC, vital.driedfruit
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description flambard 2009-04-27 22:10:04 UTC
MAngband is a free online multiplayer real-time roguelike game, derived from the single player game Angband.

Fix: Attached shar:

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-04-27 22:10:17 UTC
Maintainer of games/mangband,

Please note that PR ports/134052 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/134052

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-04-27 22:10:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Steven Kreuzer freebsd_committer 2009-04-28 01:10:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skreuzer

I'll take it.
Comment 4 akranzel 2009-05-01 17:24:20 UTC
--0016e64eca38ae9ab00468dc3ecf
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

On Mon, Apr 27, 2009 at 2:10 PM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of games/mangband,
>
> Please note that PR ports/134052 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/134052
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>

Fine with me. The submitter is also welcome to take maintainership if they'd
like. I haven't had much time to work on ports recently.

 -Adam
Comment 5 Pav Lucistnik freebsd_committer 2009-05-12 15:18:32 UTC
State Changed
From-To: feedback->open

Maintainer approved
Comment 6 Adam Kranzel 2009-06-07 09:41:56 UTC
I sent in a followup, but I guess it didn't register in the system  
for some reason.
Patch is fine with me, as is the submitter taking maintainership if  
they'd like to.

Thanks
  -Adam
Comment 7 Steven Kreuzer freebsd_committer 2009-06-10 23:44:07 UTC
Can you resubmit this patch as a diff of the current version of the  
port.

Also, the port needs a few minor changes:

Install the files in lib/ into DATADIR instead of MALIB
Make the client search for the lib files in DATADIR instead of having  
to create a ~/.mangrc file

Thanks

--
Steven Kreuzer
http://www.exit2shell.com/~skreuzer
Comment 8 Pav Lucistnik freebsd_committer 2009-09-17 16:26:56 UTC
Responsible Changed
From-To: skreuzer->pav

Take over (ok'ed by skreuzer)
Comment 9 Pav Lucistnik freebsd_committer 2009-09-17 16:38:00 UTC
State Changed
From-To: open->closed

Committed with modifications (ncurses from base is good enough), thank you!
Comment 10 dfilter service freebsd_committer 2009-09-17 16:38:46 UTC
pav         2009-09-17 15:38:38 UTC

  FreeBSD ports repository

  Modified files:
    games/mangband       Makefile distinfo pkg-descr pkg-plist 
  Removed files:
    games/mangband/files patch-ab 
  Log:
  - Update to 1.1.2
  - Transfer maintainership to the submitter
  
  PR:             ports/134052
  Submitted by:   Vital Driedfruit <flambard@mangband.org>
  Approved by:    Adam Kranzel <adam@blacktabby.org> (old maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.23      +60 -25    ports/games/mangband/Makefile
  1.6       +3 -3      ports/games/mangband/distinfo
  1.5       +0 -22     ports/games/mangband/files/patch-ab (dead)
  1.5       +2 -6      ports/games/mangband/pkg-descr
  1.4       +101 -49   ports/games/mangband/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"